All endpoints

All InfluxDB Cloud Serverless API endpoints, sorted by path.

v2-compatible API

GET /api/v2/authorizations List authorizations POST /api/v2/authorizations Create an authorization DELETE /api/v2/authorizations/{authID} Delete an authorization GET /api/v2/authorizations/{authID} Retrieve an authorization PATCH /api/v2/authorizations/{authID} Update an API token to be active or inactive GET /api/v2/buckets List buckets POST /api/v2/buckets Create a bucket DELETE /api/v2/buckets/{bucketID} Delete a bucket GET /api/v2/buckets/{bucketID} Retrieve a bucket PATCH /api/v2/buckets/{bucketID} Update a bucket GET /api/v2/buckets/{bucketID}/labels List all labels for a bucket POST /api/v2/buckets/{bucketID}/labels Add a label to a bucket DELETE /api/v2/buckets/{bucketID}/labels/{labelID} Delete a label from a bucket GET /api/v2/buckets/{bucketID}/members List all users with member privileges for a bucket POST /api/v2/buckets/{bucketID}/members Add a member to a bucket DELETE /api/v2/buckets/{bucketID}/members/{userID} Remove a member from a bucket GET /api/v2/buckets/{bucketID}/owners List all owners of a bucket POST /api/v2/buckets/{bucketID}/owners Add an owner to a bucket DELETE /api/v2/buckets/{bucketID}/owners/{userID} Remove an owner from a bucket GET /api/v2/dbrps List database retention policy mappings POST /api/v2/dbrps Add a database retention policy mapping DELETE /api/v2/dbrps/{dbrpID} Delete a database retention policy GET /api/v2/dbrps/{dbrpID} Retrieve a database retention policy mapping PATCH /api/v2/dbrps/{dbrpID} Update a database retention policy mapping GET /api/v2/orgs List organizations POST /api/v2/orgs Create an organization DELETE /api/v2/orgs/{orgID} Delete an organization GET /api/v2/orgs/{orgID} Retrieve an organization PATCH /api/v2/orgs/{orgID} Update an organization GET /api/v2/orgs/{orgID}/limits Retrieve limits for an organization GET /api/v2/orgs/{orgID}/members List all members of an organization POST /api/v2/orgs/{orgID}/members Add a member to an organization DELETE /api/v2/orgs/{orgID}/members/{userID} Remove a member from an organization GET /api/v2/orgs/{orgID}/owners List all owners of an organization POST /api/v2/orgs/{orgID}/owners Add an owner to an organization DELETE /api/v2/orgs/{orgID}/owners/{userID} Remove an owner from an organization GET /api/v2/orgs/{orgID}/usage Retrieve usage for an organization POST /api/v2/write Write data using the InfluxDB v2 HTTP API

v1-compatible API


Was this page helpful?

Thank you for your feedback!